Index: /branches/LearningClassifierSystems/HeuristicLab.Problems.ConditionActionClassification/3.3/ConditionActionClassificationProblemData.cs
===================================================================
--- /branches/LearningClassifierSystems/HeuristicLab.Problems.ConditionActionClassification/3.3/ConditionActionClassificationProblemData.cs	(revision 9351)
+++ /branches/LearningClassifierSystems/HeuristicLab.Problems.ConditionActionClassification/3.3/ConditionActionClassificationProblemData.cs	(revision 9352)
@@ -23,4 +23,5 @@
 using System.Collections.Generic;
 using System.Linq;
+using HeuristicLab.Collections;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -109,8 +110,13 @@
     #endregion
 
+    [StorableHook(HookType.AfterDeserialization)]
+    private void AfterDeserialization() {
+      RegisterParameterEvents();
+    }
     [StorableConstructor]
     protected ConditionActionClassificationProblemData(bool deserializing) : base(deserializing) { }
     protected ConditionActionClassificationProblemData(ConditionActionClassificationProblemData original, Cloner cloner)
       : base(original, cloner) {
+      RegisterParameterEvents();
     }
 
@@ -144,4 +150,6 @@
 
       ((ValueParameter<Dataset>)DatasetParameter).ReactOnValueToStringChangedAndValueItemImageChanged = false;
+
+      RegisterParameterEvents();
     }
 
@@ -167,4 +175,27 @@
 
     protected IDictionary<int, IInput> fetchInputCache = new Dictionary<int, IInput>();
+
+    #region events
+    private void RegisterParameterEvents() {
+      ConditionVariablesParameter.ValueChanged += new EventHandler(VariablesChanged);
+      ConditionVariablesParameter.Value.CheckedItemsChanged += new CollectionItemsChangedEventHandler<IndexedItem<StringValue>>(VariablesChanged);
+      ActionVariablesParameter.ValueChanged += new EventHandler(VariablesChanged);
+      ActionVariablesParameter.Value.CheckedItemsChanged += new CollectionItemsChangedEventHandler<IndexedItem<StringValue>>(VariablesChanged);
+    }
+    private void DeregisterParameterEvents() {
+      ActionVariablesParameter.Value.CheckedItemsChanged += new CollectionItemsChangedEventHandler<IndexedItem<StringValue>>(VariablesChanged);
+      ActionVariablesParameter.ValueChanged += new EventHandler(VariablesChanged);
+      ConditionVariablesParameter.Value.CheckedItemsChanged += new CollectionItemsChangedEventHandler<IndexedItem<StringValue>>(VariablesChanged);
+      ConditionVariablesParameter.ValueChanged += new EventHandler(VariablesChanged);
+    }
+    private void Value_CheckedItemsChanged(object sender, CollectionItemsChangedEventArgs<IndexedItem<StringValue>> e) {
+      ActionConditionVariablesChanged();
+    }
+    private void VariablesChanged(object sender, EventArgs e) {
+      ActionConditionVariablesChanged();
+    }
+
+    protected abstract void ActionConditionVariablesChanged();
+    #endregion
   }
 }
Index: /branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/DecisionListClassificationProblem.cs
===================================================================
--- /branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/DecisionListClassificationProblem.cs	(revision 9351)
+++ /branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/DecisionListClassificationProblem.cs	(revision 9352)
@@ -27,8 +27,11 @@
 using HeuristicLab.Encodings.DecisionList.Interfaces;
 using HeuristicLab.Optimization;
+using HeuristicLab.Optimization.Operators.LCS;
+using HeuristicLab.Optimization.Operators.LCS.DefaultRule;
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.PluginInfrastructure;
 using HeuristicLab.Problems.DataAnalysis;
+using HeuristicLab.Problems.Instances;
 
 namespace HeuristicLab.Problems.DecisionListClassification {
@@ -36,5 +39,7 @@
   [StorableClass]
   [Creatable("Problems")]
-  public class DecisionListClassificationProblem : HeuristicOptimizationProblem<IDecisionListEvaluator, IDecisionListCreator>, IDecisionListClassificationProblem {
+  public class DecisionListClassificationProblem : HeuristicOptimizationProblem<IDecisionListEvaluator, IDecisionListCreator>,
+                                                   IDecisionListClassificationProblem, IGAssistProblem,
+                                                   IProblemInstanceConsumer<DecisionListClassificationProblemData> {
 
     #region parameter properties
@@ -105,5 +110,5 @@
       : base(decisionlistEvaluator, decisionListCreator) {
       Parameters.Add(new ValueParameter<IDecisionListClassificationProblemData>("ProblemData", "", problemData));
-      Parameters.Add(new FixedValueParameter<BoolValue>("Maximization", "", new BoolValue(true)));
+      Parameters.Add(new FixedValueParameter<BoolValue>("Maximization", "", new BoolValue(false)));
       Parameters.Add(new FixedValueParameter<DoubleValue>("BestKnownQuality", "", new DoubleValue(0.5)));
       Parameters.Add(new FixedValueParameter<IntValue>("SizePenaltyMinRules", "", new IntValue(4)));
@@ -116,6 +121,4 @@
       // do differently
       ((MDLEvaluator)Evaluator).MDLCalculatorParameter.Value = new MDLCalculator(ActivationIterationParameter.Value.Value, InitialTheoryLengthRatioParameter.Value.Value, WeightRelaxFactorParameter.Value.Value);
-      // do differently
-      decisionListCreator.DefaultActionParameter.Value = problemData.FetchAction(0);
 
       InitializeOperators();
@@ -123,4 +126,6 @@
 
     private void InitializeOperators() {
+      foreach (var op in ApplicationManager.Manager.GetInstances<IDefaultRuleOperator>())
+        Operators.Add(op);
       foreach (var op in ApplicationManager.Manager.GetInstances<IDecisionListCrossover>())
         Operators.Add(op);
@@ -129,7 +134,26 @@
 
       ParameterizeOperators();
+
+      BestTrainingDecisionListAnalyzer analyzer = new BestTrainingDecisionListAnalyzer();
+      analyzer.ProblemDataParameter.ActualName = ProblemDataParameter.Name;
+      analyzer.IndividualParameter.ActualName = SolutionCreator.DecisionListParameter.ActualName;
+      analyzer.QualityParameter.ActualName = Evaluator.QualityParameter.ActualName;
+      analyzer.ResultsParameter.ActualName = "Results";
+      analyzer.MaximizationParameter.ActualName = MaximizationParameter.Name;
+      Operators.Add(analyzer);
     }
 
     private void ParameterizeOperators() {
+      var autoDefaultRule = Operators.Where(x => x is AutoDefaultRule).Select(x => x as AutoDefaultRule).First();
+      autoDefaultRule.QualityParameter.ActualName = Evaluator.QualityParameter.ActualName;
+      autoDefaultRule.GAssistNichesProblemDataParameter.ActualName = ProblemDataParameter.Name;
+      autoDefaultRule.NicheComparerParameter.Value = new DecisionListNicheComparer();
+      foreach (IDefaultRuleOperator op in Operators.OfType<IDefaultRuleOperator>()) {
+        op.IndividualParameter.ActualName = SolutionCreator.DecisionListParameter.ActualName;
+        op.EvaluatorParameter.ActualName = EvaluatorParameter.Name;
+        op.GAssistNichesProblemDataParameter.ActualName = ProblemDataParameter.Name;
+        op.GAssistNichesProblemDataParameter.Hidden = true;
+        op.NichingParameter.ActualName = "Niching";
+      }
       foreach (IDecisionListCrossover op in Operators.OfType<IDecisionListCrossover>()) {
         op.ParentsParameter.ActualName = SolutionCreator.DecisionListParameter.ActualName;
@@ -148,4 +172,18 @@
       return new DecisionListClassificationProblem(this, cloner);
     }
+
+    IParameter IGAssistProblem.ProblemDataParameter {
+      get { return ProblemDataParameter; }
+    }
+
+    public string NichingParameterName {
+      get { return "Niching"; }
+    }
+
+    public void Load(DecisionListClassificationProblemData data) {
+      Name = data.Name;
+      Description = data.Description;
+      ProblemData = data;
+    }
   }
 }
Index: /branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/DecisionListClassificationProblemData.cs
===================================================================
--- /branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/DecisionListClassificationProblemData.cs	(revision 9351)
+++ /branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/DecisionListClassificationProblemData.cs	(revision 9352)
@@ -23,8 +23,10 @@
 using System.Collections.Generic;
 using System.Linq;
+using HeuristicLab.Collections;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.DecisionList;
+using HeuristicLab.Optimization.Operators.LCS;
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
@@ -62,6 +64,6 @@
       get { return (IFixedValueParameter<IntRange>)Parameters["TestPartition"]; }
     }
-    public IFixedValueParameter<Rule> SampleRuleParameter {
-      get { return (IFixedValueParameter<Rule>)Parameters["SampleRule"]; }
+    public IValueParameter<Rule> SampleRuleParameter {
+      get { return (IValueParameter<Rule>)Parameters["SampleRule"]; }
     }
     public IFixedValueParameter<IntValue> MaxIntervalsParameter {
@@ -118,8 +120,13 @@
     #endregion
 
+    [StorableHook(HookType.AfterDeserialization)]
+    private void AfterDeserialization() {
+      RegisterParameterEvents();
+    }
     [StorableConstructor]
     protected DecisionListClassificationProblemData(bool deserializing) : base(deserializing) { }
     protected DecisionListClassificationProblemData(DecisionListClassificationProblemData original, Cloner cloner)
       : base(original, cloner) {
+      RegisterParameterEvents();
     }
     public DecisionListClassificationProblemData(Dataset dataset, IEnumerable<string> allowedConditionVariables, string targetVariable) {
@@ -150,7 +157,9 @@
       Parameters.Add(new FixedValueParameter<IntRange>("TestPartition", "", new IntRange(testPartitionStart, testPartitionEnd)));
       Parameters.Add(new FixedValueParameter<IntValue>("MaxIntervals", "", new IntValue(5)));
-      Parameters.Add(new FixedValueParameter<Rule>("SampleRule", "", CreateSampleRule(dataset, conditionVariables.CheckedItems.Select(x => x.Value.Value), target.Value)));
+      Parameters.Add(new ValueParameter<Rule>("SampleRule", "", CreateSampleRule(dataset, conditionVariables.CheckedItems.Select(x => x.Value.Value), target.Value)));
 
       ((ValueParameter<Dataset>)DatasetParameter).ReactOnValueToStringChangedAndValueItemImageChanged = false;
+
+      RegisterParameterEvents();
     }
     public override IDeepCloneable Clone(Cloner cloner) {
@@ -240,5 +249,42 @@
     }
 
+    protected IList<IGAssistNiche> possibleNiches;
+    public IEnumerable<IGAssistNiche> GetPossibleNiches() {
+      if (possibleNiches == null) {
+        possibleNiches = new List<IGAssistNiche>();
+        for (int i = 0; i < Dataset.Rows; i++) {
+          var action = FetchAction(i);
+          if (!possibleNiches.Any(x => x.SameNiche(action))) {
+            possibleNiches.Add(action);
+          }
+        }
+      }
+      return possibleNiches;
+    }
+
     public event EventHandler Changed;
+
+    #region events
+    private void RegisterParameterEvents() {
+      ConditionVariablesParameter.ValueChanged += new EventHandler(VariablesChanged);
+      ConditionVariablesParameter.Value.CheckedItemsChanged += new CollectionItemsChangedEventHandler<IndexedItem<StringValue>>(VariablesChanged);
+      TargetVariableParameter.ValueChanged += new EventHandler(VariablesChanged);
+    }
+    private void DeregisterParameterEvents() {
+      TargetVariableParameter.ValueChanged += new EventHandler(VariablesChanged);
+      ConditionVariablesParameter.Value.CheckedItemsChanged += new CollectionItemsChangedEventHandler<IndexedItem<StringValue>>(VariablesChanged);
+      ConditionVariablesParameter.ValueChanged += new EventHandler(VariablesChanged);
+    }
+    private void Value_CheckedItemsChanged(object sender, CollectionItemsChangedEventArgs<IndexedItem<StringValue>> e) {
+      VariablesChanged();
+    }
+    private void VariablesChanged(object sender, EventArgs e) {
+      VariablesChanged();
+    }
+
+    private void VariablesChanged() {
+      SampleRuleParameter.Value = CreateSampleRule(Dataset, AllowedConditionVariables, TargetVariable.Value);
+    }
+    #endregion
   }
 }
Index: /branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/HeuristicLab.Problems.DecisionListClassification-3.3.csproj
===================================================================
--- /branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/HeuristicLab.Problems.DecisionListClassification-3.3.csproj	(revision 9351)
+++ /branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/HeuristicLab.Problems.DecisionListClassification-3.3.csproj	(revision 9352)
@@ -109,4 +109,8 @@
       <Private>False</Private>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Optimization.Operators.LCS\3.3\HeuristicLab.Optimization.Operators.LCS-3.3.csproj">
+      <Project>{f2c6d3b0-bd4f-4747-b13e-b18e53a2a09d}</Project>
+      <Name>HeuristicLab.Optimization.Operators.LCS-3.3</Name>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Problems.DataAnalysis\3.4\HeuristicLab.Problems.DataAnalysis-3.4.csproj">
       <Project>{DF87C13E-A889-46FF-8153-66DCAA8C5674}</Project>
Index: /branches/LearningClassifierSystems/HeuristicLab.Problems.Instances.LCS/3.3/CombinedIntegerVectorCVSInstanceProvider.cs
===================================================================
--- /branches/LearningClassifierSystems/HeuristicLab.Problems.Instances.LCS/3.3/CombinedIntegerVectorCVSInstanceProvider.cs	(revision 9352)
+++ /branches/LearningClassifierSystems/HeuristicLab.Problems.Instances.LCS/3.3/CombinedIntegerVectorCVSInstanceProvider.cs	(revision 9352)
@@ -0,0 +1,41 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Problems.CombinedIntegerVectorClassification;
+using HeuristicLab.Problems.DataAnalysis;
+using HeuristicLab.Problems.Instances.DataAnalysis;
+
+namespace HeuristicLab.Problems.Instances.LCS {
+  public class CombinedIntegerVectorCVSInstanceProvider : ConditionActionInstanceProvider<CombinedIntegerVectorClassificationProblemData> {
+    public override CombinedIntegerVectorClassificationProblemData ImportData(string path) {
+      TableFileParser csvParser = new TableFileParser();
+      csvParser.Parse(path);
+      Dataset dataset = new Dataset(csvParser.VariableNames, csvParser.Values);
+
+      CombinedIntegerVectorClassificationProblemData problemData = new CombinedIntegerVectorClassificationProblemData(dataset,
+        csvParser.VariableNames.Take(csvParser.VariableNames.Count() - 1), new List<string>() { csvParser.VariableNames.Last() });
+
+      return problemData;
+    }
+  }
+}
Index: /branches/LearningClassifierSystems/HeuristicLab.Problems.Instances.LCS/3.3/ConditionActionInstanceProvider.cs
===================================================================
--- /branches/LearningClassifierSystems/HeuristicLab.Problems.Instances.LCS/3.3/ConditionActionInstanceProvider.cs	(revision 9352)
+++ /branches/LearningClassifierSystems/HeuristicLab.Problems.Instances.LCS/3.3/ConditionActionInstanceProvider.cs	(revision 9352)
@@ -0,0 +1,55 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using HeuristicLab.Encodings.ConditionActionEncoding;
+
+namespace HeuristicLab.Problems.Instances.LCS {
+  public abstract class ConditionActionInstanceProvider<T> : ProblemInstanceProvider<T>
+  where T : class, IConditionActionProblemData {
+
+    public override string Description { get { return ""; } }
+
+    public override string Name {
+      get { return "CSV File"; }
+    }
+
+    public override string ReferencePublication {
+      get { return ""; }
+    }
+
+    public override Uri WebLink {
+      get { return new Uri("http://dev.heuristiclab.com/trac/hl/core/wiki/UsersFAQ#DataAnalysisImportFileFormat"); }
+    }
+
+    public override bool CanImportData {
+      get { return true; }
+    }
+
+    public override IEnumerable<IDataDescriptor> GetDataDescriptors() {
+      return new List<IDataDescriptor>();
+    }
+    public override T LoadData(IDataDescriptor descriptor) {
+      throw new NotImplementedException();
+    }
+  }
+}
Index: /branches/LearningClassifierSystems/HeuristicLab.Problems.Instances.LCS/3.3/DecisionListInstanceProvider.cs
===================================================================
--- /branches/LearningClassifierSystems/HeuristicLab.Problems.Instances.LCS/3.3/DecisionListInstanceProvider.cs	(revision 9352)
+++ /branches/LearningClassifierSystems/HeuristicLab.Problems.Instances.LCS/3.3/DecisionListInstanceProvider.cs	(revision 9352)
@@ -0,0 +1,66 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Problems.DataAnalysis;
+using HeuristicLab.Problems.DecisionListClassification;
+using HeuristicLab.Problems.Instances.DataAnalysis;
+
+namespace HeuristicLab.Problems.Instances.LCS {
+  public class DecisionListInstanceProvider : ProblemInstanceProvider<DecisionListClassificationProblemData> {
+    public override string Description { get { return ""; } }
+
+    public override string Name {
+      get { return "CSV File"; }
+    }
+
+    public override string ReferencePublication {
+      get { return ""; }
+    }
+
+    public override Uri WebLink {
+      get { return new Uri("http://dev.heuristiclab.com/trac/hl/core/wiki/UsersFAQ#DataAnalysisImportFileFormat"); }
+    }
+
+    public override bool CanImportData {
+      get { return true; }
+    }
+
+    public override IEnumerable<IDataDescriptor> GetDataDescriptors() {
+      return new List<IDataDescriptor>();
+    }
+    public override DecisionListClassificationProblemData LoadData(IDataDescriptor descriptor) {
+      throw new NotImplementedException();
+    }
+    public override DecisionListClassificationProblemData ImportData(string path) {
+      TableFileParser csvParser = new TableFileParser();
+      csvParser.Parse(path);
+      Dataset dataset = new Dataset(csvParser.VariableNames, csvParser.Values);
+
+      DecisionListClassificationProblemData problemData = new DecisionListClassificationProblemData(dataset,
+        csvParser.VariableNames.Take(csvParser.VariableNames.Count() - 1), csvParser.VariableNames.Last());
+
+      return problemData;
+    }
+  }
+}
Index: /branches/LearningClassifierSystems/HeuristicLab.Problems.Instances.LCS/3.3/HeuristicLab.Problems.Instances.LCS-3.3.csproj
===================================================================
--- /branches/LearningClassifierSystems/HeuristicLab.Problems.Instances.LCS/3.3/HeuristicLab.Problems.Instances.LCS-3.3.csproj	(revision 9352)
+++ /branches/LearningClassifierSystems/HeuristicLab.Problems.Instances.LCS/3.3/HeuristicLab.Problems.Instances.LCS-3.3.csproj	(revision 9352)
@@ -0,0 +1,143 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProductVersion>8.0.30703</ProductVersion>
+    <SchemaVersion>2.0</SchemaVersion>
+    <ProjectGuid>{1CC7585E-DD22-41FA-869B-93DE41EA8936}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>HeuristicLab.Problems.Instances.LCS</RootNamespace>
+    <AssemblyName>HeuristicLab.Problems.Instances.LCS-3.3</AssemblyName>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <FileAlignment>512</FileAlignment>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>..\..\..\..\trunk\sources\bin\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>..\..\..\..\trunk\sources\bin\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup>
+    <SignAssembly>true</SignAssembly>
+  </PropertyGroup>
+  <PropertyGroup>
+    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="HeuristicLab.Common-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="HeuristicLab.Data-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="HeuristicLab.Problems.Instances-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Problems.Instances-3.3.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="HeuristicLab.Problems.Instances.DataAnalysis-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="System" />
+    <Reference Include="System.Core" />
+    <Reference Include="System.Xml.Linq" />
+    <Reference Include="System.Data.DataSetExtensions" />
+    <Reference Include="Microsoft.CSharp" />
+    <Reference Include="System.Data" />
+    <Reference Include="System.Xml" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="HeuristicLab.snk" />
+    <None Include="Plugin.cs.frame" />
+    <Compile Include="CombinedIntegerVectorCVSInstanceProvider.cs" />
+    <Compile Include="ConditionActionInstanceProvider.cs" />
+    <Compile Include="DecisionListInstanceProvider.cs" />
+    <Compile Include="VariableVectorCVSInstanceProvider.cs" />
+    <Compile Include="Plugin.cs" />
+    <Compile Include="Properties\AssemblyInfo.cs" />
+    <None Include="Properties\AssemblyInfo.cs.frame" />
+  </ItemGroup>
+  <ItemGroup>
+    <ProjectReference Include="..\..\HeuristicLab.Core\3.3\HeuristicLab.Core-3.3.csproj">
+      <Project>{C36BD924-A541-4A00-AFA8-41701378DDC5}</Project>
+      <Name>HeuristicLab.Core-3.3</Name>
+      <Private>False</Private>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Encodings.CombinedIntegerVectorEncoding\3.3\HeuristicLab.Encodings.CombinedIntegerVectorEncoding-3.3.csproj">
+      <Project>{CE7163C5-BFFE-45F0-9BD0-E10EF24E8BD2}</Project>
+      <Name>HeuristicLab.Encodings.CombinedIntegerVectorEncoding-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Encodings.ConditionActionEncoding\3.3\HeuristicLab.Encodings.ConditionActionEncoding-3.3.csproj">
+      <Project>{422FB262-0845-4969-8D16-12F057AA90B1}</Project>
+      <Name>HeuristicLab.Encodings.ConditionActionEncoding-3.3</Name>
+      <Private>False</Private>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Encodings.DecisionList\3.3\HeuristicLab.Encodings.DecisionList-3.3.csproj">
+      <Project>{86912e6b-4ef3-4b37-809b-5a7c4a28d0c9}</Project>
+      <Name>HeuristicLab.Encodings.DecisionList-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Encodings.VariableVector\3.3\HeuristicLab.Encodings.VariableVector-3.3.csproj">
+      <Project>{7C116F48-7218-4105-BD6E-EE868E2D4823}</Project>
+      <Name>HeuristicLab.Encodings.VariableVector-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Optimization.Operators.LCS\3.3\HeuristicLab.Optimization.Operators.LCS-3.3.csproj">
+      <Project>{f2c6d3b0-bd4f-4747-b13e-b18e53a2a09d}</Project>
+      <Name>HeuristicLab.Optimization.Operators.LCS-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Problems.CombinedIntegerVectorClassification\3.3\HeuristicLab.Problems.CombinedIntegerVectorClassification-3.3.csproj">
+      <Project>{E8D42226-3FAF-49AD-91E9-D48A422A1BD0}</Project>
+      <Name>HeuristicLab.Problems.CombinedIntegerVectorClassification-3.3</Name>
+      <Private>False</Private>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Problems.ConditionActionClassification\3.3\HeuristicLab.Problems.ConditionActionClassification-3.3.csproj">
+      <Project>{EA51D441-F6A3-41E1-9993-A2488E93C222}</Project>
+      <Name>HeuristicLab.Problems.ConditionActionClassification-3.3</Name>
+      <Private>False</Private>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Problems.DataAnalysis\3.4\HeuristicLab.Problems.DataAnalysis-3.4.csproj">
+      <Project>{DF87C13E-A889-46FF-8153-66DCAA8C5674}</Project>
+      <Name>HeuristicLab.Problems.DataAnalysis-3.4</Name>
+      <Private>False</Private>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Problems.DecisionListClassification\3.3\HeuristicLab.Problems.DecisionListClassification-3.3.csproj">
+      <Project>{ca20ac55-b57d-4078-8cb9-c44e5ff7958b}</Project>
+      <Name>HeuristicLab.Problems.DecisionListClassification-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Problems.VariableVectorClassification\3.3\HeuristicLab.Problems.VariableVectorClassification-3.3.csproj">
+      <Project>{4833BCCD-C7FB-40AB-ABE6-31A8A1FAA3CC}</Project>
+      <Name>HeuristicLab.Problems.VariableVectorClassification-3.3</Name>
+    </ProjectReference>
+  </ItemGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <PropertyGroup>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
+  </PropertyGroup>
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+</Project>
Index: /branches/LearningClassifierSystems/HeuristicLab.Problems.Instances.LCS/3.3/Plugin.cs.frame
===================================================================
--- /branches/LearningClassifierSystems/HeuristicLab.Problems.Instances.LCS/3.3/Plugin.cs.frame	(revision 9352)
+++ /branches/LearningClassifierSystems/HeuristicLab.Problems.Instances.LCS/3.3/Plugin.cs.frame	(revision 9352)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Problems.Instances.LCS {
+  [Plugin("HeuristicLab.Problems.Instances.LCS", "3.3.7.$WCREV$")]
+  [PluginFile("HeuristicLab.Problems.Instances.LCS-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Problems.Instances", "3.3")]
+  public class HeuristicLabProblemsInstancesLCSPlugin : PluginBase {
+  }
+}
